#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Sat Mar 21 13:12:25 2021

@author: marcel
"""


 
import os


def getppstatus(foldername):
    objects = os.listdir(foldername)
    objects.remove('FLAT')
    objects.remove('DARK')
    
    fid = open(foldername + 'PPStatus.csv', 'w');
    fid.write("ObjDesig,g_succ,g_fail,r_succ,r_fail,i_succ,i_fail,zs_succ,zs_fail")
    
    for entry in objects:
        if os.path.isdir(foldername + entry):
            fid.write("\n" + entry)
            for filt in ['g', 'r', 'i', 'z_s']:
                fail_fname = foldername + entry + '/' + filt + '/registration_failed.lst'
                if (os.path.isfile(fail_fname)):
                    num_fail = sum(1 for line in open(fail_fname))
                else:
                    num_fail = 0
                    
                succ_fname = foldername + entry + '/' + filt + '/registration_succeeded.lst'
                if (os.path.isfile(fail_fname)):
                    num_suc = sum(1 for line in open(succ_fname))
                else:
                    num_suc = 0
                    
                fid.write("," + str(num_suc) + "," + str(num_fail))
    fid.close()



#cat PPStatus.csv | column -t -s, | less -S
# getppstatus('/home/marcel/MUSCAT/200316/')
getppstatus('/home/marcel/MUSCAT/200226/')
getppstatus('/home/marcel/MUSCAT/190521/')


